﻿@using Application.Model;
@model ProjectViewModel
@{
    ViewData["Title"] = "Create New Project";
}

<div class="loginContainer">
    <div class="row justify-content-center">
        <div class="col-md-4">
            <h2 class="text-center">Create New Project</h2>

            <form method="post" asp-controller="Project" asp-action="InsertUpdate">
                @Html.HiddenFor(x => x.Id)
                <div class="form-group">
                    <input type="text" id="title" name="title" value="@Model.Title" class="form-control" placeholder="Project Title" required />
                </div>
                <div class="form-group">
                    <textarea id="description" name="description" class="form-control" placeholder="Project Description" required>
                        @Model.Description
                    </textarea>
                </div>
                <div class="form-group">
                    <input type="date" id="createDate" name="createDate" value="@Model.CreateDate.ToString("yyyy-MM-dd")" class="form-control" placeholder="Project Create Date" required />
                </div>
                <div class="form-group text-center">
                    <button type="submit" class="btn action-btn mt-2">Save</button>
                    <button type="button" onclick="location.href='@Url.Action("Index", "Project")'" class="btn info-btn mt-2">Back</button>
                </div>
            </form>

            <div>
                @if (!string.IsNullOrEmpty(ViewBag.Mensagem))
                {
                    <p>@ViewBag.Mensagem</p>
                }
            </div>
        </div>
    </div>
</div>




